--------------------------------
-- Rescue Helo Script --
--------------------------------
-- NOTE: The RESCUE helo object has to be a GLOBAL variable or the lua garbage collector will deallocate it for unknown reasons.

-- Rescue Helo @ CVN-71 Theodore Roosevelt.

RescueheloRoosevelt=RESCUEHELO:New(UNIT:FindByName("CVN-71 Theodore Roosevelt"), "Roosevelt Helo")
RescueheloRoosevelt:SetHomeBase(AIRBASE:FindByName("CVN-71 Theodore Roosevelt"))
RescueheloRoosevelt:SetTakeoffAir()
RescueheloRoosevelt:SetAltitude(25)-- Where altitude is the altitude the helo flies at in meters. Default is 70 meters.
RescueheloRoosevelt:SetOffsetX(25)--Where *distance is the distance in the direction of movement of the carrier. Default is 200 meters.
RescueheloRoosevelt:SetOffsetZ(-200)-- Where *distance is the distance on the starboard side. Default is 100 meters.
RescueheloRoosevelt:Start()

UNIT:FindByName("CVN-71 Theodore Roosevelt"):PatrolRoute()-- Make carriers patrol their route indefinitely.